<template>
  <div>
    <p class="font-bold italic text-xl mb-8">
      Your life goals:
    </p>
    <div v-for="goal in goals" :key="goal.id" class="py-6 border-t">
      <nuxt-link :to="{name: 'goals-id', params: {id: goal.id}}">
        <p class="text-2xl font-black leading-tight">
          {{ goal.name }}
        </p>
      </nuxt-link>
    </div>

    <div class="pt-16 px-2 border-t flex">
      <button-off class="mr-auto" @click.native="logOut" />
      <button-create :to="{name: 'goals-create', query: {parent: 0}}" />
    </div>
  </div>
</template>

<script>
import { firebase } from '~/plugins/firebase'
import ButtonCreate from '~/components/buttons/Create'
import ButtonOff from '~/components/buttons/Off'

export default {
  components: {
    ButtonCreate,
    ButtonOff
  },
  computed: {
    goals () {
      return this.$store.getters['goals/getRootElements']
    }
  },
  async fetch ({ store }) {
    await store.dispatch('goals/get')
  },
  methods: {
    logOut () {
      firebase.auth().signOut().then(() => {
        this.$store.dispatch('logOut')
        this.$router.push({ name: 'index' })
      })
    }
  }
}
</script>
